커뮤니티

커뮤니티 조회

GET /v1/communities/{community_id} reads 1 크레딧

커뮤니티의 프로필: 이름, 설명, 멤버 수, 가입 정책, 주제, 배너, 생성자, 트렌드 해시태그, 규칙.

응답

community 객체 하나. 알 수 없거나 이용할 수 없는 커뮤니티는 404입니다.

상태: 200, 404, 422, 429, 502

요청
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523 \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 404
{
  "community": {
    "id": "1493446837214187523",
    "name": "Build in Public",
    "description": "Share what you're working on. Get feedback. Help each other move forward. …",
    "member_count": 267179,
    "created_ms": 1644900447551,
    "join_policy": "Open",
    "is_nsfw": false,
    "primary_topic": "Entrepreneurship",
    "banner": "https://pbs.twimg.com/community_banner_img/1915033378811772928/…?format=png&name=orig",
    "creator": {
      "id": "641633",
      "screen_name": "marckohlbrugge",
      "verified": true
    },
    "trending_hashtags": [
      "#design",
      "#code",
      "…"
    ],
    "rules": [
      {
        "id": "1493447542045958144",
        "name": "Share what you're working on",
        "description": "…"
      },
      {
        "…": "…"
      }
    ]
  }
}